<?php

namespace lib\Controllers\DBMS;

use lib\Controllers\CommonController;
use lib\Services\ServiceService;

abstract class DBMSController extends CommonController
{
    private ?ServiceService $_service = null;
    public function __construct()
    {
        parent::__construct();
        //View의 추가디렉토리
        $this->getView()->setPath('dbms');
    } //

    final public function getServiceService(): ServiceService
    {
        if ($this->_service === null) {
            $this->_service = new ServiceService();
        }
        return $this->_service;
    }
} //Class
